Subject: bug#60087: closed (Re: bug#60087: 29.0.60; c++-ts-mode conflict with electric-pair-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Dec 2022 06:34:02 +0000

Your bug report

#60087: 29.0.60; c++-ts-mode conflict with electric-pair-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60087: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60087
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60087: 29.0.60; c++-ts-mode conflict with electric-pair-mode
From: Eli Zaretskii <[email-masked]>
To: Eason Huang <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 29 Dec 2022 08:33:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], Stefan Monnier <[email-masked]>,
>  [email-masked], Daniel Martín <[email-masked]>
> From: Eason Huang <[email-masked]>
> Date: Thu, 29 Dec 2022 14:10:13 +0800
> 
> Hi all,
> 
> I can confirmed that the latest commit (909091d7578b7225601b202fb9257dedae879e9a)
>  of Emacs-29 have been fix this bug#60087,  and `show-paren-mode` also get the expected result
>  when c++-ts-mode enabled.
> 
> I think we can close this bug now.

Thanks, done.

Subject: 29.0.60; c++-ts-mode conflict with electric-pair-mode
From: Eason Huang <[email-masked]>
To: [email-masked]
Date: Thu, 15 Dec 2022 19:17:19 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Emacs dev team,

I found that the c++-ts-mode conflict with electric-pair-mode.
My build is based on commit a15cd55044c6bb4d4e9f9aec23b8b5b9cbcb38ac

May be the issue was introduced by this commit:
https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-29&id=480f41c7deb4d3a45a862a5308950b35085f835d

I can confirm that Before the commit 480f41c7, It work well.

steps to reproduce:

1. emacs -Q, start Emacs
2. C-x, C-f ~/test.cpp, open any cpp file.
3. M-x c++-ts-mode, enable c++ tree-sitter support
4. M-x electric-pair-mode, enable electric-pair-mode
4. Type the following code in the test.cpp buffer.
```
#include <
```
you will the the result as below:
```
#include <<
```

expected result is:
```
#include <>
```

--
Eason Huang

In GNU Emacs 29.0.60 (build 1, x86_64-w64-mingw32) of 2022-12-15 built
 on DESKTOP-VIHFE84
Windowing system distributor 'Microsoft Corp.', version 10.0.19044
System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2364)

Configured using:
 'configure --with-native-compilation=aot'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

Important settings:
  value of $LANG: CHS
  locale-coding-system: cp936

Major mode: C++

Minor modes in effect:
  electric-pair-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils cus-start
cus-load elec-pair c-ts-mode treesit cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs cl-loaddefs comp
comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra help-mode
bytecomp byte-compile cl-lib china-util rmc iso-transl tooltip cconv
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads w32notify w32 lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 117001 10015)
 (symbols 48 10094 0)
 (strings 32 29095 1843)
 (string-bytes 1 947838)
 (vectors 16 19056)
 (vector-slots 8 428832 17970)
 (floats 8 49 205)
 (intervals 56 295 0)
 (buffers 984 14))